# TimeStampProcessing

`TimeStampProcessing` is a Python package designed to simplify and enhance operations involving timestamps and time series data. This package includes a wide range of utilities for parsing, comparing, and manipulating timestamps, which can be particularly useful in time-sensitive data analysis tasks.

## Features

- **Time Parsing and Formatting**: Convert strings to time or datetime objects with custom formats.
- **Time Comparisons**: Easily compare different timestamps to determine order or calculate differences.
- **Interval Handling**: Generate, merge, and manage lists of time intervals, including finding gaps and overlaps.
- **Time Zone Conversions**: Convert timestamps between different time zones.
- **Time Adjustments**: Add or subtract time from timestamps to calculate new times.

## Installation

You can install `TimeStampProcessing` using pip:

```bash
pip install TimeStampProcessing
